Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.aa.complextype.v1
Class Country

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.Country

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:05:18+01:00",
               comments="JAXB RI v2.2.11")
    public class Country

extends Object
implements Serializable

Code and description of country of HealthCare Actor.

Java class for CountryType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CountryType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ISOCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="NSICode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}Description" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Country()`

Method Summary
`List<Description>` | `getDescriptions()` Gets the value of the descriptions property.
`String` | `getISOCode()` Gets the value of the isoCode property.
`String` | `getNSICode()` Gets the value of the nsiCode property.
`void` | `setISOCode(String value)` Sets the value of the isoCode property.
`void` | `setNSICode(String value)` Sets the value of the nsiCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Country

    public Country()

Method Detail

### getISOCode

    public String getISOCode()

  Gets the value of the isoCode property.

  Returns:
    possible object is `String`

### setISOCode

    public void setISOCode(String value)

  Sets the value of the isoCode property.

  Parameters:
    `value` - allowed object is `String`

### getNSICode

    public String getNSICode()

  Gets the value of the nsiCode property.

  Returns:
    possible object is `String`

### setNSICode

    public void setNSICode(String value)

  Sets the value of the nsiCode property.

  Parameters:
    `value` - allowed object is `String`

### getDescriptions

    public List<Description> getDescriptions()

  Gets the value of the descriptions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the descriptions property.

  For example, to add a new item, do as follows:

          getDescriptions().add(newItem);

  Objects of the following type(s) are allowed in the list `Description`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.